Name:           drawtiming
Version:        0.7.1
Release:        1%{?dist}
Summary:        A command line tool for generating timing diagrams

Group:          Applications/Engineering
License:        GPLv2
URL:            http://drawtiming.sourceforge.net
Source0:        http://downloads.sourceforge.net/sourceforge/drawtiming/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ghostscript ImageMagick-c++-devel fontconfig-devel

%description
A command line tool for generating timing diagrams from
ASCII input files. The input files use a structured language
to represent signal state transitions and interdependencies.
Raster image output support is provided by ImageMagick.

It can be used for VHDL or verilog presentations.

%prep

%setup -q

sed -i '19,/ /i\#include <cstring>' src/timing.cc

%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="%{__install} -c -p" install DESTDIR=%{buildroot}


# to create the *.gif in samples/
%check
%{__make} check

%{__rm} -f samples/Makefile*
%{__rm} -f samples/runsamples.sh


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS THANKS samples/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Nov 20 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.7.1-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 14 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.6.2-5
- Rebuild for new ImageMagick soname

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.2-3
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.6.2-2
- Rebuild for Fedora 8

* Thu Jun 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.6.2-1
- Initial Package
